Subject: Re: So here it is one year later...

From: wayne <[email-masked]>
Date: Tue, 01 Feb 2005 04:02:02 -0600

In <[email-masked]> "william(at)elan.net" <[email-masked]> writes:

> On Mon, 31 Jan 2005, wayne wrote:
>
>> > DK and SPF have different failure modes. I don't think this is a 
>> > competition situation. A system with both schemes is much more 
>> > effective than either on its own.
>> [snip]
>
> The are complimentary but they work and protect different parts of email
> message. That means each one must be able to work on its own independant 
> of the other one and authentication should work properly on each layer.
> You can not have failure scenario of one system being depdending on the
> authentication in another layer - this is just a bad security architecture.

You certainly have a point here and but I think you over state it a
little bit.

If both SPF and the crypto systems (DK/IIM/SES/etc.) agree on the
results, then you have much more reliable whitelisting *or*
blacklisting.

If SPF passes and the crytpo system fails, then that is good evidence
that the email came from a mailing list.  Combined with other
evidence, and you can get pretty good results.

If SPF fails and the crypto system passes, then that is good evidence
that the email came from a forwarder.  Combined with other evidence,
and you can get pretty good results.

> That means if we want to use SPF and mail signatures for anything other 
> then whitelisting (i.e. to get rid of actual bad messages and find bad
> senders), we must find ways to deal with SPF forwarding problems on the 
> SMTP session layer and must have MASS signatures that work with mail lists. 

Yes, SPF *MUST* continue to work on the forwarding problem so that you
don't have just "good evidence", and the same for the crypto systems.
However, I don't think either kind of system will ever be able to
completely solve their weaknesses.

I still think, and have said so many times over the last year or so,
that these systems can complement each other.

-wayne

---

From: "Hector Santos" <[email-masked]>
Date: Tue, 1 Feb 2005 09:03:45 -0500

Wayne,

A good well-though out system would factor out "mailing list" or other
considerations.

What is a mailing list anyway?   It is just a new "agent" into mail stream.

In my view, the real problem is the unfortunate direction where more and
more systems are disrespecting the decades old tradition of not screwing
around with the Mail Integrity.

Sincerely,

Hector Santos, CTO
Santronics Software, Inc.
http://www.santronics.com
305-431-2846 Cell
305-248-3204 Office

----- Original Message -----
From: "wayne" <[email-masked]>
To: "IETF MARID WG" <[email-masked]>
Sent: Tuesday, February 01, 2005 5:02 AM
Subject: Re: So here it is one year later...

>
> In <[email-masked]>